
local L = {}

if GetLocale() == "frFR" then -- French
	-- General
	L["Win"] = "NotTranslated"
	L["Loss"] = "NotTranslated"
	L["Cheat"] = "NotTranslated"
	L["Cheated"] = "NotTranslated"
	L["SudokubyStrucker"] = "NotTranslated"
	L["Quit"] = "NotTranslated"
	L["WinShoutMessage"] = "NotTranslated"
	L["WinMenuMessage"] = "NotTranslated"
	L["LossMenuMessage"] = "NotTranslated"
	L["Easy"] = "NotTranslated"
	L["Normal"] = "NotTranslated"
	L["Hard"] = "NotTranslated"
	L["MakeMeCry"] = "NotTranslated"
	
	-- Time
	L["TimeSeconds"] = "NotTranslated"
	L["TimeMinutesSeconds"] = "NotTranslated"
	L["TimeHoursMinutes"] = "NotTranslated"
	L["TimeDaysHours"] = "NotTranslated"
	
	-- History
	L["HistoryCleared"] = "NotTranslated"
	L["EmptyHistory"] = "NotTranslated"
	L["TimeHoursMinutes"] = "NotTranslated"
	L["TimeHoursMinutes"] = "NotTranslated"

	-- Menu Frame
	L["NewGame"] = "NotTranslated"
	L["Options"] = "NotTranslated"
	L["PrintHistory"] = "NotTranslated"
	L["ClearHistory"] = "NotTranslated"
	L["Quit"] = "NotTranslated"
	L["Welcome"] = "NotTranslated"

	-- Puzzle Frame
	L["Save"] = "NotTranslated"
	L["Cheat"] = "NotTranslated"
	L["Reset"] = "NotTranslated"
	
	-- Value Frame
	L["Clear"] = "NotTranslated"
	
	-- Options
	L["PuzzleScreenSettings"] = "NotTranslated"
	L["HideinCombat"] = "NotTranslated"
	L["ShoutNewRecords"] = "NotTranslated"
	L["PuzzleFrameScale"] = "NotTranslated"
	L["PuzzleCreationSettings"] = "NotTranslated"
	L["DifficultyMode"] = "NotTranslated"
	L["CalcStepsPerFrame"] = "NotTranslated"
	
elseif GetLocale() == "deDE" then -- German
	-- General
	L["Win"] = "NotTranslated"
	L["Loss"] = "NotTranslated"
	L["Cheat"] = "NotTranslated"
	L["Cheated"] = "NotTranslated"
	L["SudokubyStrucker"] = "NotTranslated"
	L["Quit"] = "NotTranslated"
	L["WinShoutMessage"] = "NotTranslated"
	L["WinMenuMessage"] = "NotTranslated"
	L["LossMenuMessage"] = "NotTranslated"
	L["Easy"] = "NotTranslated"
	L["Normal"] = "NotTranslated"
	L["Hard"] = "NotTranslated"
	L["MakeMeCry"] = "NotTranslated"
	
	-- Time
	L["TimeSeconds"] = "NotTranslated"
	L["TimeMinutesSeconds"] = "NotTranslated"
	L["TimeHoursMinutes"] = "NotTranslated"
	L["TimeDaysHours"] = "NotTranslated"
	
	-- History
	L["HistoryCleared"] = "NotTranslated"
	L["EmptyHistory"] = "NotTranslated"
	L["TimeHoursMinutes"] = "NotTranslated"
	L["TimeHoursMinutes"] = "NotTranslated"

	-- Menu Frame
	L["NewGame"] = "NotTranslated"
	L["Options"] = "NotTranslated"
	L["PrintHistory"] = "NotTranslated"
	L["ClearHistory"] = "NotTranslated"
	L["Quit"] = "NotTranslated"
	L["Welcome"] = "NotTranslated"

	-- Puzzle Frame
	L["Save"] = "NotTranslated"
	L["Cheat"] = "NotTranslated"
	L["Reset"] = "NotTranslated"
	
	-- Value Frame
	L["Clear"] = "NotTranslated"
	
	-- Options
	L["PuzzleScreenSettings"] = "NotTranslated"
	L["HideinCombat"] = "NotTranslated"
	L["ShoutNewRecords"] = "NotTranslated"
	L["PuzzleFrameScale"] = "NotTranslated"
	L["PuzzleCreationSettings"] = "NotTranslated"
	L["DifficultyMode"] = "NotTranslated"
	L["CalcStepsPerFrame"] = "NotTranslated"
elseif GetLocale() == "koKR" then -- Korean
	-- General
	L["Win"] = "NotTranslated"
	L["Loss"] = "NotTranslated"
	L["Cheat"] = "NotTranslated"
	L["Cheated"] = "NotTranslated"
	L["SudokubyStrucker"] = "NotTranslated"
	L["Quit"] = "NotTranslated"
	L["WinShoutMessage"] = "NotTranslated"
	L["WinMenuMessage"] = "NotTranslated"
	L["LossMenuMessage"] = "NotTranslated"
	L["Easy"] = "NotTranslated"
	L["Normal"] = "NotTranslated"
	L["Hard"] = "NotTranslated"
	L["MakeMeCry"] = "NotTranslated"
	
	-- Time
	L["TimeSeconds"] = "NotTranslated"
	L["TimeMinutesSeconds"] = "NotTranslated"
	L["TimeHoursMinutes"] = "NotTranslated"
	L["TimeDaysHours"] = "NotTranslated"
	
	-- History
	L["HistoryCleared"] = "NotTranslated"
	L["EmptyHistory"] = "NotTranslated"
	L["TimeHoursMinutes"] = "NotTranslated"
	L["TimeHoursMinutes"] = "NotTranslated"

	-- Menu Frame
	L["NewGame"] = "NotTranslated"
	L["Options"] = "NotTranslated"
	L["PrintHistory"] = "NotTranslated"
	L["ClearHistory"] = "NotTranslated"
	L["Quit"] = "NotTranslated"
	L["Welcome"] = "NotTranslated"

	-- Puzzle Frame
	L["Save"] = "NotTranslated"
	L["Cheat"] = "NotTranslated"
	L["Reset"] = "NotTranslated"
	
	-- Value Frame
	L["Clear"] = "NotTranslated"
	
	-- Options
	L["PuzzleScreenSettings"] = "NotTranslated"
	L["HideinCombat"] = "NotTranslated"
	L["ShoutNewRecords"] = "NotTranslated"
	L["PuzzleFrameScale"] = "NotTranslated"
	L["PuzzleCreationSettings"] = "NotTranslated"
	L["DifficultyMode"] = "NotTranslated"
	L["CalcStepsPerFrame"] = "NotTranslated"
elseif GetLocale() == "zhCN" then -- Chinese (simplified)
	-- General
	L["Win"] = "NotTranslated"
	L["Loss"] = "NotTranslated"
	L["Cheat"] = "NotTranslated"
	L["Cheated"] = "NotTranslated"
	L["SudokubyStrucker"] = "NotTranslated"
	L["Quit"] = "NotTranslated"
	L["WinShoutMessage"] = "NotTranslated"
	L["WinMenuMessage"] = "NotTranslated"
	L["LossMenuMessage"] = "NotTranslated"
	L["Easy"] = "NotTranslated"
	L["Normal"] = "NotTranslated"
	L["Hard"] = "NotTranslated"
	L["MakeMeCry"] = "NotTranslated"
	
	-- Time
	L["TimeSeconds"] = "NotTranslated"
	L["TimeMinutesSeconds"] = "NotTranslated"
	L["TimeHoursMinutes"] = "NotTranslated"
	L["TimeDaysHours"] = "NotTranslated"
	
	-- History
	L["HistoryCleared"] = "NotTranslated"
	L["EmptyHistory"] = "NotTranslated"
	L["TimeHoursMinutes"] = "NotTranslated"
	L["TimeHoursMinutes"] = "NotTranslated"

	-- Menu Frame
	L["NewGame"] = "NotTranslated"
	L["Options"] = "NotTranslated"
	L["PrintHistory"] = "NotTranslated"
	L["ClearHistory"] = "NotTranslated"
	L["Quit"] = "NotTranslated"
	L["Welcome"] = "NotTranslated"

	-- Puzzle Frame
	L["Save"] = "NotTranslated"
	L["Cheat"] = "NotTranslated"
	L["Reset"] = "NotTranslated"
	
	-- Value Frame
	L["Clear"] = "NotTranslated"
	
	-- Options
	L["PuzzleScreenSettings"] = "NotTranslated"
	L["HideinCombat"] = "NotTranslated"
	L["ShoutNewRecords"] = "NotTranslated"
	L["PuzzleFrameScale"] = "NotTranslated"
	L["PuzzleCreationSettings"] = "NotTranslated"
	L["DifficultyMode"] = "NotTranslated"
	L["CalcStepsPerFrame"] = "NotTranslated"
elseif GetLocale() == "zhTW" then -- Chinese (traditional)
	-- General
	L["Win"] = "NotTranslated"
	L["Loss"] = "NotTranslated"
	L["Cheat"] = "NotTranslated"
	L["Cheated"] = "NotTranslated"
	L["SudokubyStrucker"] = "NotTranslated"
	L["Quit"] = "NotTranslated"
	L["WinShoutMessage"] = "NotTranslated"
	L["WinMenuMessage"] = "NotTranslated"
	L["LossMenuMessage"] = "NotTranslated"
	L["Easy"] = "NotTranslated"
	L["Normal"] = "NotTranslated"
	L["Hard"] = "NotTranslated"
	L["MakeMeCry"] = "NotTranslated"
	
	-- Time
	L["TimeSeconds"] = "NotTranslated"
	L["TimeMinutesSeconds"] = "NotTranslated"
	L["TimeHoursMinutes"] = "NotTranslated"
	L["TimeDaysHours"] = "NotTranslated"
	
	-- History
	L["HistoryCleared"] = "NotTranslated"
	L["EmptyHistory"] = "NotTranslated"
	L["TimeHoursMinutes"] = "NotTranslated"
	L["TimeHoursMinutes"] = "NotTranslated"

	-- Menu Frame
	L["NewGame"] = "NotTranslated"
	L["Options"] = "NotTranslated"
	L["PrintHistory"] = "NotTranslated"
	L["ClearHistory"] = "NotTranslated"
	L["Quit"] = "NotTranslated"
	L["Welcome"] = "NotTranslated"

	-- Puzzle Frame
	L["Save"] = "NotTranslated"
	L["Cheat"] = "NotTranslated"
	L["Reset"] = "NotTranslated"
	
	-- Value Frame
	L["Clear"] = "NotTranslated"
	
	-- Options
	L["PuzzleScreenSettings"] = "NotTranslated"
	L["HideinCombat"] = "NotTranslated"
	L["ShoutNewRecords"] = "NotTranslated"
	L["PuzzleFrameScale"] = "NotTranslated"
	L["PuzzleCreationSettings"] = "NotTranslated"
	L["DifficultyMode"] = "NotTranslated"
	L["CalcStepsPerFrame"] = "NotTranslated"
elseif GetLocale() == "ruRU" then -- Russian 
	-- General
	L["Win"] = "NotTranslated"
	L["Loss"] = "NotTranslated"
	L["Cheat"] = "NotTranslated"
	L["Cheated"] = "NotTranslated"
	L["SudokubyStrucker"] = "NotTranslated"
	L["Quit"] = "NotTranslated"
	L["WinShoutMessage"] = "NotTranslated"
	L["WinMenuMessage"] = "NotTranslated"
	L["LossMenuMessage"] = "NotTranslated"
	L["Easy"] = "NotTranslated"
	L["Normal"] = "NotTranslated"
	L["Hard"] = "NotTranslated"
	L["MakeMeCry"] = "NotTranslated"
	
	-- Time
	L["TimeSeconds"] = "NotTranslated"
	L["TimeMinutesSeconds"] = "NotTranslated"
	L["TimeHoursMinutes"] = "NotTranslated"
	L["TimeDaysHours"] = "NotTranslated"
	
	-- History
	L["HistoryCleared"] = "NotTranslated"
	L["EmptyHistory"] = "NotTranslated"
	L["TimeHoursMinutes"] = "NotTranslated"
	L["TimeHoursMinutes"] = "NotTranslated"

	-- Menu Frame
	L["NewGame"] = "NotTranslated"
	L["Options"] = "NotTranslated"
	L["PrintHistory"] = "NotTranslated"
	L["ClearHistory"] = "NotTranslated"
	L["Quit"] = "NotTranslated"
	L["Welcome"] = "NotTranslated"

	-- Puzzle Frame
	L["Save"] = "NotTranslated"
	L["Cheat"] = "NotTranslated"
	L["Reset"] = "NotTranslated"
	
	-- Value Frame
	L["Clear"] = "NotTranslated"
	
	-- Options
	L["PuzzleScreenSettings"] = "NotTranslated"
	L["HideinCombat"] = "NotTranslated"
	L["ShoutNewRecords"] = "NotTranslated"
	L["PuzzleFrameScale"] = "NotTranslated"
	L["PuzzleCreationSettings"] = "NotTranslated"
	L["DifficultyMode"] = "NotTranslated"
	L["CalcStepsPerFrame"] = "NotTranslated"
elseif GetLocale() == "esES" then -- Spanish (Spain)
	-- General
	L["Win"] = "NotTranslated"
	L["Loss"] = "NotTranslated"
	L["Cheat"] = "NotTranslated"
	L["Cheated"] = "NotTranslated"
	L["SudokubyStrucker"] = "NotTranslated"
	L["Quit"] = "NotTranslated"
	L["WinShoutMessage"] = "NotTranslated"
	L["WinMenuMessage"] = "NotTranslated"
	L["LossMenuMessage"] = "NotTranslated"
	L["Easy"] = "NotTranslated"
	L["Normal"] = "NotTranslated"
	L["Hard"] = "NotTranslated"
	L["MakeMeCry"] = "NotTranslated"
	
	-- Time
	L["TimeSeconds"] = "NotTranslated"
	L["TimeMinutesSeconds"] = "NotTranslated"
	L["TimeHoursMinutes"] = "NotTranslated"
	L["TimeDaysHours"] = "NotTranslated"
	
	-- History
	L["HistoryCleared"] = "NotTranslated"
	L["EmptyHistory"] = "NotTranslated"
	L["TimeHoursMinutes"] = "NotTranslated"
	L["TimeHoursMinutes"] = "NotTranslated"

	-- Menu Frame
	L["NewGame"] = "NotTranslated"
	L["Options"] = "NotTranslated"
	L["PrintHistory"] = "NotTranslated"
	L["ClearHistory"] = "NotTranslated"
	L["Quit"] = "NotTranslated"
	L["Welcome"] = "NotTranslated"

	-- Puzzle Frame
	L["Save"] = "NotTranslated"
	L["Cheat"] = "NotTranslated"
	L["Reset"] = "NotTranslated"
	
	-- Value Frame
	L["Clear"] = "NotTranslated"
	
	-- Options
	L["PuzzleScreenSettings"] = "NotTranslated"
	L["HideinCombat"] = "NotTranslated"
	L["ShoutNewRecords"] = "NotTranslated"
	L["PuzzleFrameScale"] = "NotTranslated"
	L["PuzzleCreationSettings"] = "NotTranslated"
	L["DifficultyMode"] = "NotTranslated"
	L["CalcStepsPerFrame"] = "NotTranslated"
elseif GetLocale() == "esMX" then -- Spanish (Mexico)
	-- General
	L["Win"] = "NotTranslated"
	L["Loss"] = "NotTranslated"
	L["Cheat"] = "NotTranslated"
	L["Cheated"] = "NotTranslated"
	L["SudokubyStrucker"] = "NotTranslated"
	L["Quit"] = "NotTranslated"
	L["WinShoutMessage"] = "NotTranslated"
	L["WinMenuMessage"] = "NotTranslated"
	L["LossMenuMessage"] = "NotTranslated"
	L["Easy"] = "NotTranslated"
	L["Normal"] = "NotTranslated"
	L["Hard"] = "NotTranslated"
	L["MakeMeCry"] = "NotTranslated"
	
	-- Time
	L["TimeSeconds"] = "NotTranslated"
	L["TimeMinutesSeconds"] = "NotTranslated"
	L["TimeHoursMinutes"] = "NotTranslated"
	L["TimeDaysHours"] = "NotTranslated"
	
	-- History
	L["HistoryCleared"] = "NotTranslated"
	L["EmptyHistory"] = "NotTranslated"
	L["TimeHoursMinutes"] = "NotTranslated"
	L["TimeHoursMinutes"] = "NotTranslated"

	-- Menu Frame
	L["NewGame"] = "NotTranslated"
	L["Options"] = "NotTranslated"
	L["PrintHistory"] = "NotTranslated"
	L["ClearHistory"] = "NotTranslated"
	L["Quit"] = "NotTranslated"
	L["Welcome"] = "NotTranslated"

	-- Puzzle Frame
	L["Save"] = "NotTranslated"
	L["Cheat"] = "NotTranslated"
	L["Reset"] = "NotTranslated"
	
	-- Value Frame
	L["Clear"] = "NotTranslated"
	
	-- Options
	L["PuzzleScreenSettings"] = "NotTranslated"
	L["HideinCombat"] = "NotTranslated"
	L["ShoutNewRecords"] = "NotTranslated"
	L["PuzzleFrameScale"] = "NotTranslated"
	L["PuzzleCreationSettings"] = "NotTranslated"
	L["DifficultyMode"] = "NotTranslated"
	L["CalcStepsPerFrame"] = "NotTranslated"
else -- English 
end
	-- General
	L["Sudoku"] = "Sudoku"
	L["Win"] = "Win"
	L["Loss"] = "Loss"
	L["Cheat"] = "Cheat"
	L["Cheated"] = "Cheated"
	L["SudokubyStrucker"] = "Sudoku by Strucker"
	L["Quit"] = "Quit"
	L["WinShoutMessage"] = '%s has set a new "%s" mode Sudoku record! %s, think you can beat it?'
	L["WinMenuMessage"] = "Victory! That was almost good!"
	L["LossMenuMessage"] = "How utterly disappointing..."
	L["Easy"] = "Easy"
	L["Normal"] = "Normal"
	L["Hard"] = "Hard"
	L["MakeMeCry"] = "Make Me Cry"
	L["Description"] = "Sudoku! Play unique challenging Sudoku puzzles in WoW."
	L["MiniMapLeftClick"] = "   Left Click -> Toggle Sudoku Display"
	L["MiniMapRightClick"] = "   Right Click -> Toggle Options Display"
	
	-- Time
	L["TimeSeconds"] = "%d Seconds"
	L["TimeMinutesSeconds"] = "%d Minutes %d Seconds"
	L["TimeHoursMinutes"] = "%d Hours %d Minutes"
	L["TimeDaysHours"] = "%d Days %d Hours"
	
	L["ShortTimeSeconds"] = "%ds"
	L["ShortTimeMinutesSeconds"] = "%dm%ds"
	L["ShortTimeHoursMinutes"] = "%dh%dm"
	L["ShortTimeDaysHours"] = "%dd%dh"
	
	-- Menu Frame
	L["NewGame"] = "New Game"
	L["Options"] = "Options"
	L["PrintHistory"] = "Print History"
	L["ClearHistory"] = "Clear History"
	L["HistoryCleared"] = "History Cleared"
	L["EmptyHistory"] = "Empty History"
	L["Quit"] = "Quit"
	L["Welcome"] = "Welcome!"
	
	-- Puzzle Frame
	L["Save"] = "Save"
	L["Reset"] = "Reset"
	
	-- Value Frame
	L["Clear"] = "Clear"
	
	-- Options
	L["PuzzleScreenSettings"] = "Puzzle Screen Settings"
	L["HideinCombat"] = "Hide in Combat"
	L["ShoutNewRecords"] = "Shout New Records"
	L["PuzzleFrameScale"] = "Puzzle Frame Scale"
	L["PuzzleCreationSettings"] = "Puzzle Creation Settings"
	L["DifficultyMode"] = "Difficulty Mode"
	L["CalcStepsPerFrame"] = "Calc. Steps Per Frame"
	L["SudokuOptions"] = "Sudoku Options"
	


function GetL()
	return L;
end